Yacy startet nach Update nicht mehr

Keine Scheu, hier darf alles gefragt und diskutiert werden. Das ist das Forum für YaCy-Anfänger. Hier kann man 'wo muss man klicken' fragen und sich über Grundlagen zur Suchmaschinentechnik unterhalten.
Forumsregeln
Hier werden Fragen beantwortet und wir versuchen die Probleme von YaCy-Newbies zu klären. Bitte beantwortete Fragen im YaCy-Wiki http://wiki.yacy.de dokumentieren!

Yacy startet nach Update nicht mehr

Beitragvon brandy » Fr Nov 03, 2017 7:57 pm

Hallo!

Ich hatte mein Yacy auf einem Lubuntu (Ubuntu 17.04) laufen. Nachdem eine Aktualisierung reinkam und ich diese durchführte lässt sich Yacy nicht mehr starten.
Ich starte Yacy mit ./startYACY und es kommt der bekannt Startbildschirm, mit dem Sternchen umrandeten Feld. Danach ist Schluss, d.h. der Browser mit Yacy startet nicht.

Was funktioniert hier nicht?

Vielen Dank!
brandy
 
Beiträge: 13
Registriert: Do Feb 26, 2015 1:40 pm

Re: Yacy startet nach Update nicht mehr

Beitragvon brandy » Sa Nov 04, 2017 9:19 am

Ich habe jetzt mal Yacy mit -d gestartet.

Ich bekomme nun die Meldung:
Code: Alles auswählen
Konfigurationsdatei wurde nicht gefunden: /usr/lib/jvm/java-9-openjdk-1386/conf/management.management.properties
brandy
 
Beiträge: 13
Registriert: Do Feb 26, 2015 1:40 pm

Re: Yacy startet nach Update nicht mehr

Beitragvon luc » Sa Nov 04, 2017 10:06 am

Hallo brandy,
Was ist deine Java-Version nach dem Update? (mit
Code: Alles auswählen
> java -version
)
luc
 
Beiträge: 305
Registriert: Mi Aug 26, 2015 1:04 am

Re: Yacy startet nach Update nicht mehr

Beitragvon brandy » Sa Nov 04, 2017 7:52 pm

Code: Alles auswählen
openjdk version "9-Ubuntu"
OpenJDK Runtime Environment (build 9-Ubuntu+0-9b161-1)
OpenJDK Server VM (build 9-Ubuntu+0-9b161-1, mixed mode)
brandy
 
Beiträge: 13
Registriert: Do Feb 26, 2015 1:40 pm

Re: Yacy startet nach Update nicht mehr

Beitragvon luc » So Nov 05, 2017 6:15 pm

Meine Tests mit einem Lubuntu 17.04, openjdk-9, yacy_v1.92_20161226_9000.tar.gz oder yacy_v1.921_20170830_9342.tar.gz Releases oder den neuesten Quellen von GitHub :

sh startYACY.sh :
Code: Alles auswählen
E 2017/11/05 16:06:15 UNCAUGHT-EXCEPTION * Thread main: null
java.lang.ExceptionInInitializerError
   at java.base/javax.crypto.JceSecurityManager.<clinit>(JceSecurityManager.java:66)
       ...
Caused by: java.lang.SecurityException: Can not initialize cryptographic mechanism
   at java.base/javax.crypto.JceSecurity.<clinit>(JceSecurity.java:118)
   ... 36 more
Caused by: java.lang.SecurityException: Can't read cryptographic policy directory: unlimited
   at java.base/javax.crypto.JceSecurity.setupJurisdictionPolicies(JceSecurity.java:324)


sh startYACY.sh -d :
Code: Alles auswählen
Konfigurationsdatei wurde nicht gefunden: /usr/lib/jvm/java-9-openjdk-amd64/conf/management/management.properties


Aber alles funktioniert gut mit openjdk-8 als default jvm :
Code: Alles auswählen
sudo apt-get install openjdk-8-jdk
update-alternatives --config java
luc
 
Beiträge: 305
Registriert: Mi Aug 26, 2015 1:04 am

Re: Yacy startet nach Update nicht mehr

Beitragvon brandy » So Nov 05, 2017 7:19 pm

Cool - Vielen Dank!
Das war die Lösung!

Mit der 8er-Version funktionierts alles!

Danke!
brandy
 
Beiträge: 13
Registriert: Do Feb 26, 2015 1:40 pm

Re: Yacy startet nach Update nicht mehr

Beitragvon TmoWizard » So Nov 05, 2017 9:31 pm

Hallöchen zusammen!

Hm... Java 9 ... Eigentlich ist das Teil ja offiziell freigegeben worden, was jedoch ein ganz grobes Foul war. Meiner Ansicht nach ist Java 9 den ganzen Fehlern nach noch nicht einmal eine frühe Alpha-Version, sondern befindet sich in einer Art "Laborrattenzustand"! :x :evil:
TmoWizard
 
Beiträge: 145
Registriert: So Jul 13, 2014 3:32 pm
Wohnort: Augsburg


Zurück zu Hilfe für Einsteiger und Anwender

Wer ist online?

Mitglieder in diesem Forum: Bing [Bot] und 3 Gäste